LINUX.ORG.RU

Уведомление об окончании поддержки Funtoo Linux 1.3-LTS

 , , , ,


0

1

Daniel Robbins объявил, что после 1 марта 2020 года прекращает обслуживание и обновление релиза 1.3.

Как это ни странно, причиной для этого послужило то, что текущий релиз 1.4 оказался лучше и стабильнее, чем 1.3-LTS. Поэтому, Даниэль рекомендует тем, кто использует версию 1.3, запланировать обновление до 1.4.

Помимо этого, в январе ожидается второй «maintenance» релиз для версии 1.4, с обновлением версий пакетов и исправлениями безопасности ядра. На основе 1.4-MR2 будут сформированы новые бинарные образы stage3s и stage3s GNOME.

Upgrade Instructions/1.4-release

Полезное:

>>> Источник

★★★★★

Проверено: Satori ()

Ответ на: комментарий от Oberstserj

Мне тоже интересно, чем оно от генты отличается. и вообще, я бы ставил ролинг-релизную генту, а не фиксед-релизную фунту.

anti_win ()
Ответ на: комментарий от Oberstserj

Нет. Есть Gentoo, и её достаточно. Есть ещё и Calculate.

anonymous ()
Ответ на: комментарий от anti_win

Без особых дополнительных усилий Gentoo вполне превращается в «фиксед-релизную фунту».

anonymous ()
Ответ на: комментарий от Oberstserj

Нужно, конечно. Правда, аудитория у Funtoo намного меньше, чем того заслуживает дистрибутив.

vvn_black ★★★★★ ()
Последнее исправление: vvn_black (всего исправлений: 1)
Ответ на: комментарий от anonymous

Мне тоже интересно, чем оно от генты отличается

Funtoo should contain all ebuilds in Gentoo that existed at the time of the snapshot, plus drobbins and user community improvements.

Чем старше становишься, тем больше ценишь работу, от которой тебя освободили.

vvn_black ★★★★★ ()
Ответ на: комментарий от vvn_black

Кроме нескучных обоев и фиксед-релизнутости какие килер-фичи? Почитал сайт - не вкурил.

Oberstserj ()
Ответ на: комментарий от vvn_black

Чем старше становишься, тем больше ценишь работу, от которой тебя освободили.

Ааа..ясно. Закапывайте.

Oberstserj ()
Ответ на: комментарий от Oberstserj

Отрубаются лишние этапы сборки gcc например

mittorn ★★★★★ ()

Помимо этого, в январе ожидается второй «maintenance» релиз для версии 1.4, с обновлением версий пакетов и исправлениями безопасности ядра. На основе 1.4-MR2 будут сформированы новые бинарные образы stage3s и stage3s GNOME.

Сервис-паки теперь и в Linux.

anonymous ()
Ответ на: комментарий от anti_win

я бы ставил ролинг-релизную генту, а не фиксед-релизную фунту.

+1. Если не роллинг-релиз, то не нужно. Вообще заметил, что клоны частенько имеют урезанный функционал по сравнению с оригиналом.

dimgel ★★ ()
Ответ на: комментарий от dimgel

Вообще заметил, что клоны частенько имеют урезанный функционал по сравнению с оригиналом.

Если говорить о rolling- и fixed-релизах, то говорить об урезанном функционале в последнем некорректно. Это просто разные подходы, каждый со своими достоинствами и недостатками.

LasarusLong ()
Ответ на: комментарий от Oberstserj

Нужно. Во первых, её делает сам Daniel Robbins (и ещё кажется пара человек). Во вторых, это как гента, только с релизами, т.е. в теории не ломается при апдейтах.

rupert ★★★★ ()
Ответ на: комментарий от dimgel

Вот только в случае с Gentoo и Funtoo фактически это Gentoo — клон. Даниэль — автор оригинального Gentoo, когда его позвали на работу в MS он добровольно покинул дистрибутив, что бы работа не пересекалась с проектом, когда он уволился и захотел обратно в команду Gentoo ему сказал «А мы тут сами будем рулить, иди нафиг», тогда он и создал Funtoo. Таким образом Gentoo изначально базировалось на его идеях и сейчас на его идеях базируется Funtoo, а в Gentoo сейчас рулят левые люди которые продвигают что-то свое.

anonymous ()
Ответ на: комментарий от anonymous

Эту историю я знаю. Но это на самом деле закономерно: одиночка может выкатить пучок классных идей и зафигачить reference implementation. Но тот гигантский объём работы, который требует поддержка такого монстра, неизбежно требует гораздо большего количества людей и совершенно другой организации процесса. Ашманов, помнится, вещал про «кризис роста» – когда компании дохнут из-за того, что их руководители неспособны перестроиться: делегировать больше ответственности и т.д. Отличный доклад, рекомендую. :) Так что не исключено, что выгнали создателя дистра совершенно оправданно с точки зрения не то что развития, а даже выживания проекта.

dimgel ★★ ()
Ответ на: комментарий от rupert

Во первых, её делает сам Daniel Robbins

Во вторых, это как гента, только с релизами

Сдается мне, что Дэниель - лютый маркетолог и тролль в одном флаконе. На корню прекратил срачи относительно своего детища по поводу того, что лучше, релиз или ролинг. Оскара ему!))

Ладно, убедили.

Oberstserj ()
Ответ на: комментарий от LasarusLong

Fixed существенно проще поддерживать, в т.ч. в смысле стабильности системы. Других преимуществ не вижу. Они есть? Если нет, то это и есть урезанный функционал ради простоты поддержки. Цена этой радости – старый софт в репах, а если нужно что посвежее, на каждый чих приходится искать и подключать сторонние репы. В общем, удобство мейнтейнеров ценой удобства юзеров. Выбор юзера очевиден. :)

dimgel ★★ ()
Ответ на: комментарий от Oberstserj

Когда сборка gcc длится несколько дней - да. Ну и собранные stage под разные подархитектуры arm, а не только устаревший vfpv3-d16 тоже приятно

mittorn ★★★★★ ()
Ответ на: комментарий от anonymous

сейчас рулят левые люди которые продвигают что-то свое.

Почему-то вспомнился Ян Мердок и то, во что сейчас превращается его детище.

anonymous ()
Ответ на: комментарий от dimgel

Целое eix -R ввести, ужасно много работы. И не репы, а оверлеи.

raven_cler ★★ ()
Ответ на: комментарий от raven_cler

Хз что там и куда надо ввести в сабже, но например от воспоминаний о centos до сих пор омерзение, хотя лет 10 уже прошло. Или например дебиан: у некоторых работодателей охреневшие лодыри админы отказывались ставить нужный мне [пред]последний постгрес, т.к. его мол в репах дебиана нет.

dimgel ★★ ()
Ответ на: комментарий от anti_win

Более продвинутая система профилей, бинарные ядра из разных дистров, дополнительные фичи к portage, которые возможно когда-нибудь перекочуют или не перекочуют в gentoo.

raven_cler ★★ ()
Ответ на: комментарий от dimgel

Дык eix это и гентушная утилита тоже. Зачем сравнивать сабж с бинарными дистрами?

raven_cler ★★ ()
Ответ на: комментарий от dimgel

Соглашусь в части выбора домашнего юзера. В то же время хочу обратить внимание, что ни один rolling-дистрибутив не сертифицирован для применения на рабочих станциях и серверах промышленных предприятий, где нужна надежность. А таким является только немного устаревшее, тщательно оттестированное ПО. Эта тема, кстати, хорошо раскрывается в книге Я. Соммервила «Инженерия программного обеспечения».

LasarusLong ()
Ответ на: комментарий от anonymous

А во что сам Ян под конец превратился? Всё логично. Линукс только начинает ощущать бесперспективность подхода, основанного на влиянии отдельных личностей. Пока Торвальдс факами машет - всё прекрасно, а когда его кондрашка хватит или просто всё надоест - начнутся интересные времена.

anonymous ()

о, это интересно. а пересобирать тут нужно или нужно, но редко?

anonymous ()
Ответ на: комментарий от raven_cler

Про eix знаю, но я думал тут за fixed vs rolling срутся, а не source vs binary.

dimgel ★★ ()
Ответ на: комментарий от dimgel

от воспоминаний о centos до сих пор омерзение

а у меня от местной фубли, и чо?

anonymous ()
Ответ на: комментарий от dimgel

fixed vs rolling

Нет в Funtoo никакого «fixed», есть выпуски основанные на срезе дерева из генточки. Изначально, планы были делать такие срезы раз в квартал, по факту получается чуть ли не раз в год.

Почему это не «fixed» и не «rolling», а что-то другое? Потому что есть регулярные обновления от drobbins’a и есть декларация «кому нужен свежий софт - велкам, принимаем PR». Ну, и это всё-таки source-based дистрибутив, никто не мешает утащить нужные ебилды в локальный оверлей, для этого даже есть шаблон skeleton-overlay, чтобы максимально облегчить его создание.

Если домыслить, то получается, что drobbins сосредоточился на экспериментах и интересных ему фичах, вместо того, чтобы тратить время на поддержку пакетной базы.

Как показатель, что «fixed» не настоящий - ситуация из ОП, ну что это за LTS, который продержался всего год… По причине того, что текущий релиз не уступает ему.

Опять же, если кратко об отличиях от Gentoo - со временем, а Funtoo уже больше 10 лет, они всё больше из конкретных фич превращаются в «вкусовые ощущения», сейчас это - дерево, состоящее из наборов (kits), stage3 под 33 «sub-architectures» для arm и x86, прекомпилированное дебиановское ядро в составе stage3, набор из нескольких сопутствующих проекту утилит и очешуительное руководство по установке.

vvn_black ★★★★★ ()
Последнее исправление: vvn_black (всего исправлений: 5)
Ответ на: комментарий от dimgel

Ссылка на мразь и мудака Ашманова — признак мудака, уж прости.

anonymous ()
Ответ на: комментарий от anonymous

Это тот Ян Мэрдок которого за алкоголизм выгнали из Oracle? Так себе пример.

anonymous ()
Ответ на: комментарий от mittorn

Отрубаются лишние этапы сборки gcc например

$ cat /etc/portage/env/gcc_disable_bootstrap.conf
export GCC_MAKE_TARGET=all
export EXTRA_ECONF="--disable-bootstrap"
$  cat /etc/portage/package.env/gcc
sys-devel/gcc gcc_disable_bootstrap.conf
anonymous ()
Ответ на: комментарий от LasarusLong

ни один rolling-дистрибутив не сертифицирован для применения на рабочих станциях и серверах промышленных предприятий, где нужна надежность

Можно подробнее, кто занимается подобной сертификацией и на основании чего выданный этой организацией сертификат должен восприниматься всерьёз?

grem ★★★★★ ()
Ответ на: комментарий от raven_cler

бинарные ядра из разных дистров

С этим в генту сейчас «экспериментируют»:

sys-kernel/vanilla-kernel testers wanted (например, используется конфиг от arch)

Но есть и разработчики генту, которые против таких нововведений.

grem ★★★★★ ()
Ответ на: комментарий от mittorn

По идее, правильнее это запихать в сам ебилд под use-флаг «bootstrap», чтобы более гибко управлять как-ты хочешь собрать gcc. Но это постоянно надо править свой локальный ебилд под новую версию. Так что, пусть ментейнеры занимаются этим, если догадаются, а мне и так хорошо.

anonymous ()
Ответ на: комментарий от grem

Многое из того, что было в фанте раньше, потом перекочевало в генту, мне кажется, есть разработчики, работающие над обоими проектами.

Ещё там в отличии от генты не поддерживается системд, и это вроде принципиальная позиция.

raven_cler ★★ ()

т.е. у фанты есть понятие LTS и это очень круто (заинтриговало посмотреть, попробовать), но на сайте об том явно и сходу нигде не говорится: схема релизов, версии и т.п. Было бы не менее круто наличие бэкпортирования и понятия LTS, доведенное до уровня отдельных пакетов.

anonymous ()
Ответ на: комментарий от anonymous

т.е. у фанты есть понятие LTS

Появилось в 1.3 Release_Notes/1.3-release

А, с учетом того, что 1.4 помечен как Funtoo Linux 1.4 is not a "long-term stable" (LTS) release, но при этом:

Like Funtoo Linux 1.3, all kits are mostly frozen, with security fixes being back-ported, and a select number of important and user-requested updates added after the official release.

Кмк, при таком подходе выделять отдельно LTS-релизы теряет всякий смысл.

vvn_black ★★★★★ ()

причиной для этого послужило то, что текущий релиз 1.4 оказался лучше и стабильнее, чем 1.3-LTS

Зачем нужен дистрибутив где LTS выкидывают потому что «не задалось»? Менеджмент уровня Болгенос.

no-such-file ★★★★★ ()
Ответ на: комментарий от no-such-file

As Funtoo Linux 1.4 continues to mature, it has become a much better long-term stable option than Funtoo Linux 1.3, so maintenance and updates for 1.3 will end on March 1, 2020, and users are encouraged to upgrade to 1.4 at this time, or before.

Это не совсем «не задалось».

А если вопрос не риторический, то его можно задать на форуме, в телеге или дискорде.

vvn_black ★★★★★ ()
Последнее исправление: vvn_black (всего исправлений: 1)
Ответ на: комментарий от vvn_black

Спс за подробности.

Отличные новости и Даниэль молодца - в правильном направлении двигает развитие дистра. Заинтриговал. Роллинг-релизы начинают поддоставать своей «стабильностью» и «предсказуемостью», уж лучше консервативные LTS. Ожидаемы LTS-ядра и LTS-браузеры по крайней мере.

anonymous ()
Ответ на: комментарий от vvn_black

Это не совсем «не задалось».

Какое это имеет отношение к LTS? Если лепишь в название LTS то это накладывает кое-какие обязательства, например поддерживать до заранее обозначенной даты независимо от обстоятельств. Или в funtoo в это вкладывается какой-то другой смысл? Тогда надо было бы называть просто stable. В любом случае всё это выглядит как «мы творим что хотим» - хотим лепим LTS, хотим дропаем LTS. Это не серьёзно.

no-such-file ★★★★★ ()
Последнее исправление: no-such-file (всего исправлений: 1)
Ответ на: комментарий от raven_cler

Какую хрень только не придумают, лишь бы не использовать зеркала предназначенные именно для синхронизации дерева: https://github.com/gentoo-mirror/gentoo вместо https://github.com/gentoo/gentoo, который предназначен для разработки.

Тогда вот эти все скрипты не нужны:

  • Updates metadata-cache.
  • Updates the dtd directory.
  • Updates the glsa directory.
  • Updates projects.xml file
  • Updates the news directory.

Мне казалось, они просто переехали с cvs на git, а заодно добавили несколько способов синхронизации. Даже mercurial зеркала поддерживались какое-то время, но с ними были какие-то глюки и за их решением никто из пользующихся не занимался.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 2)
Ответ на: комментарий от anonymous

ага ага

вот только все что с ней останется сделать так это просто снести

anonymous ()
Ответ на: комментарий от anti_win

да апдейты не всегда хороши бывают. зачастую с точностью наоборот чем древнее софт тем он приятнее в использовании. речь не о совсем уж древнем софте конечно. но очень часто бывает так что у разработчиков получается отличная версия и тут то им в голову ударяет моча и они начинают всё портить. если говорить о современных тенденциях в области UI они вообще неюзабельны. в случае с gentoo долбаные апдейты порой вообще всё ломают и бывает избежать их не представляется возможным когда надо поставить что то что требует из зависимостей более новую версию. так что я в последнее время стараюсь избегать апдейтов потому что сделал систему в которой есть весь нужный мне софт с адекватными версиями без супермодных дебилизмов.

iluha16 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.